Skip to main content
GET

Authorizations

api_key
string
query
required

Coin Metrics API key can be specified as ?api_key= query parameter.

Query Parameters

metric
string
required

Target metric name.

constituents
string[]

Comma separated list of constituents. By default all constituents are returned. Different asset metrics may have different constituents. For example, constituents for volume_trusted_spot_usd_1d are exchanges.

start_time
string

Start of the time interval, inclusive.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Mutually exclusive with at_time.

end_time
string

End of the time interval, inclusive.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Mutually exclusive with at_time.

next_page_token
string

Token for receiving the results from the next page of a query.
Should not be used directly. To iterate through pages just use next_page_url response field.

page_size
integer<int32>
default:100

Number of items per single page of results.
The value of this parameter is ignored if the endpoint supports the format parameter and its value is set to json_stream.

Required range: 1 <= x <= 10000
paging_from
enum<string>
default:end

Where does the first page start, at the start of the interval or at the end.
The value of this parameter is ignored if the endpoint supports the format parameter and its value is set to json_stream.

Available options:
start,
end
format
enum<string>
default:json

Format of the response.

Available options:
json,
csv
pretty
boolean
default:false

Human-readable formatting of JSON responses.

Response

List of timeframes.

Timeframes of asset metric constituents response.

data
object[]
required
next_page_token
string

Token of the next page results for a given request.

next_page_url
string

URL of the next page results for a given request.